package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * HMC主机以太网适配器逻辑端口
 * 
 * @author ShaolongTan
 *
 */
@Deprecated
@Table("hmc_hea_logical_port")
public class HmcHeaLogicalPort {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("hea_id")
    private Long heaId;
    @Column("adapter_id")
    private Long adapterId;
    @Column("logical_port_id")
    private Integer logicalPortId;
    @Column("name")
    private String name;
    @Column("port_state")
    private String portState;
    @Column("mac_address")
    private String macAddress;
    @Column("partition_id")
    private Long partitionId;
    @IgnoreAll
    @Column("partition_name")
    private String partitionName;
    @Column("port_group_id")
    private Integer portGroupId;
    @Column("allowed_vlan_ids")
    private String allowedVlanIds;
    @Column("allowed_os_mac_addresses")
    private String allowedOSMacAddresses;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getHeaId() {
        return heaId;
    }

    public void setHeaId(Long heaId) {
        this.heaId = heaId;
    }

    public Long getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Long adapterId) {
        this.adapterId = adapterId;
    }

    public Integer getLogicalPortId() {
        return logicalPortId;
    }

    public void setLogicalPortId(Integer logicalPortId) {
        this.logicalPortId = logicalPortId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPortState() {
        return portState;
    }

    public void setPortState(String portState) {
        this.portState = portState;
    }

    public String getMacAddress() {
        return macAddress;
    }

    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    public Long getPartitionId() {
        return partitionId;
    }

    public void setPartitionId(Long partitionId) {
        this.partitionId = partitionId;
    }

    public Integer getPortGroupId() {
        return portGroupId;
    }

    public void setPortGroupId(Integer portGroupId) {
        this.portGroupId = portGroupId;
    }

    public String getAllowedVlanIds() {
        return allowedVlanIds;
    }

    public void setAllowedVlanIds(String allowedVlanIds) {
        this.allowedVlanIds = allowedVlanIds;
    }

    public String getAllowedOSMacAddresses() {
        return allowedOSMacAddresses;
    }

    public void setAllowedOSMacAddresses(String allowedOSMacAddresses) {
        this.allowedOSMacAddresses = allowedOSMacAddresses;
    }

    public String getPartitionName() {
        return partitionName;
    }

    public void setPartitionName(String partitionName) {
        this.partitionName = partitionName;
    }
}
